6.0.0-git
2019-11-19

[#14932] Do not decode TNEF attachments if AS client is Outlook
Summary Do not decode TNEF attachments if AS client is Outlook
Queue Synchronization
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester pachis83 (at) gmail (dot) com
Created 2019-07-01 (141 days ago)
Due
Updated 2019-08-18 (93 days ago)
Assigned
Resolved 2019-08-18 (93 days ago)
Milestone
Patch Yes

History
2019-08-18 19:46:43 Michael Rubinsky Comment #4
Assigned to Michael Rubinsky
State ⇒ Resolved
Priority ⇒ 1. Low
Reply to this comment
Horde_ActiveSync 2.40.0
Horde_Core 2.31.10

Along with a bunch of fixes for those clients that DO use the tnef decoding.
2019-08-18 19:18:40 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 3c042e55a2885a4339c46ab2f5fc6dfe36f3e3b7
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sun, 18 Aug 2019 15:12:34 -0400

Only decode TNEF if our client can't handle natively.

For MS clients like Outlook, TNEF data can be transmitted as-is,
attempt to detect this and act accordingly.

Request: 14932

  M lib/Horde/ActiveSync/Device.php
  M lib/Horde/ActiveSync/Imap/Adapter.php
  M lib/Horde/ActiveSync/Imap/Message.php

https://github.com/horde/ActiveSync/commit/3c042e55a2885a4339c46ab2f5fc6dfe36f3e3b7
2019-08-17 16:19:57 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 4d018600c09c50d3ffdd3735e024e57324397838
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 17 Aug 2019 12:19:36 -0400

Only decode TNEF if our client can't handle natively.

For MS clients like Outlook, TNEF data can be transmitted as-is,
attempt to detect this and act accordingly.

Request: 14932

  M lib/Horde/ActiveSync/Device.php
  M lib/Horde/ActiveSync/Imap/Adapter.php
  M lib/Horde/ActiveSync/Imap/Message.php

https://github.com/horde/ActiveSync/commit/4d018600c09c50d3ffdd3735e024e57324397838
2019-07-01 11:11:31 pachis83 (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Do not decode TNEF attachments if AS client is Outlook
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ Yes
New Attachment: Message.php Download
Reply to this comment
MS Outlook is able to handle TNEF data by itself but horde stack 
always decodes TNEF data, even in ActiveSync connections.

As a result, TNEF data with a Task event is received as a VTODO file 
(or VTASK??? I don't remember) wich Outlook can't handle.

TNEF decoding is ok for non MS activesync clients, but when outlook is 
used, TNEF data should be avoided.

In my case all the AS clients are Outlook type so I disabled TNEF 
decoding commenting lines 311, 313, 414, 415, 417 in 
ActiveSync/lib/Horde/ActiveSync/Imap/Message.php (attached).

Regards.






Saved Queries